Bug 64453 - Darklaf: Save Test Plan as New Folder failure
Summary: Darklaf: Save Test Plan as New Folder failure
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 5.3
Hardware: PC All
: P2 normal (vote)
Target Milestone: JMETER_5.3.1
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-05-19 14:18 UTC by David Balažic
Modified: 2020-08-06 20:21 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Balažic 2020-05-19 14:18:30 UTC
Whe selecting File / Save Test Plan as ... and creating a  New Folder, the following problem happens:

 - in the save dialog select a folder like c:\foo\bar
 - click the New Folder button
 - type a new name for the new folder, like: baz
 - press ENTER


Result:

the file browser now is focused in the folder c:\foo\bar\New Folder, which does not exist. If the user clicks Save, an error dialog appears:

Couldn't save test plan to file: c:\foo\bar\New Folder\JDBC Connection Configuration.jmx
c:\foo\bar\New Folder\JDBC Connection Configuration.jmx (The system cannot find the path specified)

Expected result:
after pressing ENTER, the dialog should stay where it is and only rename the new folder.

Alternatively: rename and descend into the new folder, correctly.
Comment 1 Philippe Mouawad 2020-07-26 09:11:39 UTC
Issue happens only with Darklaf.
Workaround is to switch to System LAF.
Comment 2 Philippe Mouawad 2020-08-06 20:21:10 UTC
pmouawad pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/jmeter.git


The following commit(s) were added to refs/heads/master by this push:
     new 08d22fb  Update Darklaf from 2.4.1 to 2.4.2 to fix bugs 64640, 64641, 64453, 64625
08d22fb is described below

commit 08d22fbf175ecbc8c3ecb0fc839bd92a9dd5cdc2
Author: pmouawad <p.mouawad@ubik-ingenierie.com>
AuthorDate: Thu Aug 6 22:19:12 2020 +0200

    Update Darklaf from 2.4.1 to 2.4.2 to fix bugs 64640, 64641, 64453, 64625
---
 gradle.properties | 2 +-
 xdocs/changes.xml | 6 +++++-
 2 files changed, 6 insertions(+), 2 deletions(-)